Name: udev
Version: 141
Release: alt12.M51.2
Summary: udev - an userspace implementation of devfs
Summary(ru_RU.UTF-8): udev - это вынесенная из ядра реализация devfs
License: GPL
Group: System/Configuration/Hardware
Url: http://kernel.org/pub/linux/utils/kernel/hotplug/

PreReq: shadow-utils
PreReq: module-init-tools >= 3.3
PreReq: dmsetup
PreReq: libvolume_id = %version-%release
PreReq: %name-rules = %version-%release
Requires: udev_static-addon
Conflicts: linux-hotplug
Provides: hotplug = 2004_09_23-alt18
Obsoletes: hotplug

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: docbook-dtds docbook-style-xsl klibc-devel xsltproc

# Find dependencies on klibc-*.so
%global __find_requires %_libdir/klibc/klibc-find-requires %__find_requires

%description
Starting with the 2.5 kernel, all physical and virtual devices in a
system are visible to userspace in a hierarchal fashion through
sysfs. /sbin/hotplug provides a notification to userspace when any
device is added or removed from the system. Using these two features,
a userspace implementation of a dynamic /dev is now possible that can
provide a very flexible device naming policy.

%description -l ru_RU.UTF-8
Начиная с ядра 2.5, все реальные и виртуальные устройства в системе
имеют иерархическое отображение в sysfs, доступное обычным программам.
/sbin/hotplug информирует программы о том, что устройство подключено
или удалено из системы. Комбинация этих двух подсистем делает возможным
создание динамического /dev, который бы допускал очень гибкую систему
правил наименования устройств.

%package rules
Summary: Rule files for udev
Summary(ru_RU.UTF-8): Файлы правил для udev
Group: System/Configuration/Hardware
Provides: %_sysconfdir/udev/rules.d
Provides: %_sysconfdir/udev/initramfs-rules.d
Conflicts: %name < %version-%release
BuildArch: noarch

%description rules
This package contains the default set of rule files used by udev,
which control names and permission of device files in /dev.  Rule
files which have corresponding symlinks in /etc/udev/initramfs-rules.d
are also used by the mkinitrd package when creating initramfs images.

%description -l ru_RU.UTF-8 rules
Этот пакет содержит основной набор правил для udev, управляющих
назначением имён и прав доступа для файлов устройств в /dev.
Часть файлов правил, для которых есть символические ссылки в
каталоге /etc/udev/initramfs-rules.d, также используется пакетом
mkinitrd при создании образов initramfs.

%package rule-generator
Summary: CD/Net rule generator for udev
Group: System/Configuration/Hardware
BuildArch: noarch
Requires: %name-rules = %version-%release

%description rule-generator
This package contains CD/Net rule generator for udev

%package -n lib%name
Summary: Shared library to access udev device information
Group: System/Libraries
License: LGPL

%description -n lib%name
This package provides shared library to access udev device information.

%package -n lib%name-devel
Summary: Libraries and headers for libudev
Group: Development/C
License: LGPL
Requires: lib%name = %version-%release

%description -n lib%name-devel
Shared library and headers for libudev.

%package -n lib%name-devel-static
Summary: Libraries for libudev
Group: Development/C
License: LGPL
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static library for libudev.

%package -n libvolume_id
Summary: Shared libraries for volume_id
Group: System/Libraries

%description -n libvolume_id
This package provides shared libraries for volume_id.

%package -n libvolume_id-devel
Summary: Libraries and headers for libvolume_id
Group: Development/C
Requires: libvolume_id = %version-%release

%description -n libvolume_id-devel
Headers for libvolume_id.

%package initramfs
Summary: udev built with klibc for use in initramfs
Group: System/Kernel and hardware

# This avoids getting a dependency on sh from "#!/bin/sh".
AutoReq: yes, nopam, noperl, nopython, noshell, notcl

PreReq: mkinitrd-initramfs >= 1:3.0.8-alt1
Requires: klibc-utils-initramfs
Requires: %name-rules = %version-%release

%description initramfs
This package contains a version of udev which is built with klibc,
intended for use in initramfs images generated by mkinitrd.

%prep
%setup -q -c
cd %name-%version
%patch -p1
%autoreconf
cd ..
cp -pr %name-%version build-klibc
mv %name-%version/* ./

%build
%configure \
	--with-udev-prefix= \
	--with-libdir-name=%_lib \
	--sbindir=/sbin
%make_build

# Build with klibc (for initramfs)
cd build-klibc
export CC=klcc
%configure \
	--with-udev-prefix= \
	--sbindir=/sbin \
	--disable-logging \
	--enable-static \
	--disable-shared
%make
cd ..

%install
%make DESTDIR=%buildroot install

cat >>%buildroot%_sysconfdir/udev/udev.conf <<EOF
# Whether to mount a tmpfs filesystem to \$udev_root
udev_tmpfs="1"

# tmpfs options. Note that size shouldn't be less than several
# megabytes due to insane format of current udev database
# (in /dev/.udevdb)
tmpfs_options="size=5m"
EOF

mkdir -p %buildroot%_bindir
ln -s ../../sbin/udevadm %buildroot%_bindir/udevinfo
mkdir -p %buildroot/%_lib
mv %buildroot%_prefix/lib*/lib*.so.* %buildroot/%_lib/
rm -f %buildroot%_prefix/lib*/lib*.so
ln -sf ../../%_lib/libvolume_id.so.1 %buildroot%_libdir/libvolume_id.so
ln -sf ../../%_lib/libudev.so.0 %buildroot%_libdir/libudev.so

mkdir -p %buildroot%_initdir
install -m0755 etc/init.d/udevd.init %buildroot%_initdir/udevd
install -m0755 etc/init.d/udevd-final.init %buildroot%_initdir/udevd-final

mkdir -p %buildroot%_sysconfdir/udev/devices
mkdir -p %buildroot/lib/udev/devices

install -d %buildroot/%_sysconfdir/dev.d/default

# Install klibc version
cd build-klibc
mkdir -p %buildroot/lib/mkinitrd/udev/sbin
install -p udev/udevd udev/udevadm %buildroot/lib/mkinitrd/udev/sbin/
mkdir -p %buildroot/lib/mkinitrd/udev/lib/udev
install -p \
	extras/ata_id/ata_id \
	extras/cdrom_id/cdrom_id \
	extras/edd_id/edd_id \
	extras/firmware/firmware \
	extras/path_id/path_id \
	extras/scsi_id/scsi_id \
	extras/usb_id/usb_id \
	extras/volume_id/vol_id \
	%buildroot/lib/mkinitrd/udev/lib/udev/
cd ..

# Install symlinks for rules which are needed in initramfs
mkdir -p %buildroot%_sysconfdir/udev/initramfs-rules.d
pushd %buildroot%_sysconfdir/udev/initramfs-rules.d
for f in \
	../../../lib/udev/rules.d/50-firmware.rules \
	../../../lib/udev/rules.d/50-udev-default.rules \
	../../../lib/udev/rules.d/60-persistent-storage.rules \
	../rules.d/64-md-raid.rules \
	../rules.d/64-device-mapper.rules \
	../rules.d/70-permissions.rules \
	../../../lib/udev/rules.d/80-drivers.rules
do
	ln -s "$f" .
done
popd

# Install static lib
find -name lib%name.a -exec cp --target-directory=%buildroot%_libdir {} \;

# firmware dirs
mkdir -p %buildroot/lib/firmware
mkdir -p %buildroot/usr/lib/hotplug/firmware

# Create ghost files
touch %buildroot%_sysconfdir/udev/rules.d/70-persistent-{cd,net}.rules

%pre
%_sbindir/groupadd -r -f video 2>/dev/null
%_sbindir/groupadd -r -f dialout 2>/dev/null
%_sbindir/groupadd -r -f tape 2>/dev/null

%post
%post_service udevd
%post_service udevd-final

%preun
%preun_service udevd
%preun_service udevd-final

%triggerpostun -- udev < 105
# %%post_service will skip chkconfig --add on upgrade and run resetpriorities
# instead, which turns the service off when it was not added before.
/sbin/chkconfig --add udevd-final ||:
/sbin/chkconfig udevd-final reset ||:

%files -n lib%name
/%_lib/lib%name.so.*

%files -n lib%name-devel
%_includedir/lib%name.h
%_libdir/lib%name.so
%_pkgconfigdir/lib%name.pc

%files -n lib%name-devel-static
%_libdir/lib%name.a

%files -n libvolume_id
/%_lib/libvol*.so.*

%files -n libvolume_id-devel
%_includedir/libvol*.h
%_libdir/libvol*.so
%_pkgconfigdir/libvol*.pc

%files
%doc README TODO NEWS
%doc docs/writing_udev_rules/*
%_sysconfdir/dev.d
%_initdir/udevd*
%dir /lib/udev
%exclude /lib/udev/rules.d
%exclude /lib/udev/rule_generator.functions
%exclude /lib/udev/write_*_rules
/lib/udev/*
%config(noreplace) %_sysconfdir/udev/*.conf
%dir %_sysconfdir/udev/devices
%dir /lib/udev/devices
%config %_sysconfdir/scsi_id.config
/sbin/*
%_bindir/*
%_man8dir/*
%_man7dir/*
%dir /lib/firmware
%dir /usr/lib/hotplug
%dir /usr/lib/hotplug/firmware

%files rules
%dir %_sysconfdir/udev
%dir %_sysconfdir/udev/rules.d
%exclude %_sysconfdir/udev/rules.d/70-persistent-*.rules
%config %_sysconfdir/udev/rules.d/*
%_sysconfdir/udev/initramfs-rules.d
%exclude /lib/udev/rules.d/75-*-generator.rules
/lib/udev/rules.d

%files rule-generator
%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_sysconfdir/udev/rules.d/70-persistent-*.rules
/lib/udev/rules.d/75-*-generator.rules
/lib/udev/rule_generator.functions
/lib/udev/write_*_rules

%files initramfs
/lib/mkinitrd/udev

%changelog
* Fri Mar 12 2010 Michael Shigorin <mike@altlinux.org> 141-alt12.M51.2
- fixed broken copypaste (unicode spaces)

* Fri Mar 12 2010 Valery Inozemtsev <shrek@altlinux.ru> 141-alt12.M51.1
- udev-final: check for rules.d/ writeability

* Wed Nov 11 2009 Valery Inozemtsev <shrek@altlinux.ru> 141-alt12
- added 40-ignore-remove.rules

* Wed Oct 07 2009 Valery Inozemtsev <shrek@altlinux.ru> 141-alt11
- 50-udev-default.rules: fixed printer MODE

* Sun Sep 27 2009 Valery Inozemtsev <shrek@altlinux.ru> 141-alt10
- make raw USB printer devices accessible for lp

* Thu Jul 16 2009 Valery Inozemtsev <shrek@altlinux.ru> 141-alt9
- packaged libudev.a

* Fri Jun 19 2009 Dmitry V. Levin <ldv@altlinux.org> 141-alt8
- udevd-final (start): Append tmp rules instead of replacing.

* Thu Jun 18 2009 Dmitry V. Levin <ldv@altlinux.org> 141-alt7
- udevd-final (start): Move tmp rules
  from /dev/.udev/ to /etc/udev/rules.d/.
- 75-persistent-net-generator.rules: Allow to use
  "locally administered" MAC address.

* Thu Jun 18 2009 Valery Inozemtsev <shrek@altlinux.ru> 141-alt6
- rule_generator.functions (choose_rules_file): Print header to empty rules file
  as well as to just created rules file (Dmitry V. Levin)

* Mon Jun 15 2009 Valery Inozemtsev <shrek@altlinux.ru> 141-alt5
- net-agent: ignore hostapd interface mon.*

* Wed Jun 03 2009 Valery Inozemtsev <shrek@altlinux.ru> 141-alt4
- packaged rule-generator

* Thu May 07 2009 Valery Inozemtsev <shrek@altlinux.ru> 141-alt3
- net-agent: ignore pan[0-9]*

* Thu Apr 16 2009 Valery Inozemtsev <shrek@altlinux.ru> 141-alt2
- deleted 94-pam-console.rules

* Thu Apr 09 2009 Valery Inozemtsev <shrek@altlinux.ru> 141-alt1
- New upstream release (141)

* Fri Mar 13 2009 Valery Inozemtsev <shrek@altlinux.ru> 140-alt1
- New upstream release (140)

* Thu Mar 12 2009 Valery Inozemtsev <shrek@altlinux.ru> 139-alt3
- fixed device-mapper support

* Tue Mar 03 2009 Valery Inozemtsev <shrek@altlinux.ru> 139-alt2
- volume_id: ntfs - fixed uuid setting

* Fri Feb 27 2009 Valery Inozemtsev <shrek@altlinux.ru> 139-alt1
- New upstream release (139)

* Tue Feb 24 2009 Valery Inozemtsev <shrek@altlinux.ru> 138-alt3
- init: removed convert_udev_db_from_initramfs calls

* Fri Feb 20 2009 Valery Inozemtsev <shrek@altlinux.ru> 138-alt2
- rules: updated device-mapper/md-raid

* Thu Feb 19 2009 Valery Inozemtsev <shrek@altlinux.ru> 138-alt1
- New upstream release (138)

* Fri Jan 23 2009 Valery Inozemtsev <shrek@altlinux.ru> 137-alt1
- New upstream release (137)

* Tue Jan 20 2009 Valery Inozemtsev <shrek@altlinux.ru> 136-alt2
- added "tape" group
- convert firmware.sh/net.agent to C

* Wed Jan 07 2009 Valery Inozemtsev <shrek@altlinux.ru> 136-alt1
- New upstream release (136)

* Mon Jan 05 2009 Valery Inozemtsev <shrek@altlinux.ru> 135-alt2
- rebuild with klibc-1.5.15

* Tue Dec 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 135-alt1
- New upstream release (135).

* Thu Nov 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 134-alt1
- New upstream release (134).

* Sat Nov 15 2008 Sergey Vlasov <vsu@altlinux.ru> 130-alt6
- udevadm: fixed option parsing breakage with klibc introduced in
  version 128.  Fixes random reordering of modules included in
  initramfs ("udevadm trigger" options were ignored, causing modules
  for all detected devices to be loaded in undefined order before
  processing the module list built by mkinitrd).

* Sun Oct 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 130-alt5
- fixed /dev/dri/card* permissions

* Thu Oct 09 2008 Valery Inozemtsev <shrek@altlinux.ru> 130-alt4
- libvolume_id-devel/libudev-devel: fixed libdir in pc files

* Wed Oct 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 130-alt3
- fixed unmet on x86_64

* Wed Oct 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 130-alt2
- fixed build for x86_64

* Wed Oct 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 130-alt1
- New upstream release (130).

* Tue Sep 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 127-alt4
- udev-initramfs:
  + drop udev{settle,trigger} link (close #16959)
  + requires mkinitrd-initramfs >= 1:3.0.8-alt1

* Mon Sep 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 127-alt3
- firmware.sh: lookup kernel provided firmware directory

* Mon Sep 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 127-alt2
- fixed %%_libdir for x86_64

* Mon Sep 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 127-alt1
- New upstream release (127).

* Mon Aug 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 126-alt3
- fixed %%_libdir for x86_64

* Mon Aug 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 126-alt2
- fixed change mode bits for CDROM

* Sun Aug 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 126-alt1
- New upstream release (126).

* Sun Aug 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 125-alt3
- updated rules

* Sat Aug 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 125-alt2
- rules cleanup

* Sat Aug 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 125-alt1
- New upstream release (125).

* Tue Jul 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 124-alt3
- drop 80-bluetooth.rules

* Mon Jul 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 124-alt2
- scsi_id: fix fallback to sg v3 for sg nodes
- path_id: suppress trailing '-' like 'ID_PATH=pci-0000:05:01.0-'
- rules: fix cciss rules for partition numbers > 9

* Fri Jun 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 124-alt1
- New upstream release (124).

* Fri Jun 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 122-alt3
- added provides hotplug = 2004_09_23-alt18
- added firmware directory

* Thu Jun 12 2008 Valery Inozemtsev <shrek@altlinux.ru> 122-alt2
- fixed persistent storage rules
- returned /sbin/udevcontrol

* Wed Jun 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 122-alt1
- New upstream release (122).
- Drop sound.agent

* Tue Apr 01 2008 Sergey Vlasov <vsu@altlinux.ru> 118-alt1
- New upstream release (118).
- Applied post-118 upstream changes (3f91a27d16cf5440f0cb1db7c5972b4924a41d01):
  + update mailing list address in documentation
  + do not skip RUN execution if device node removal fails
  + volume_id: fix UUID raw buffer usage
  + volume_id: add prefix=, exec_prefix=
  + volume_id: fix typo in function documentation
  + volume_id: update ext detection
- Updated udevd initscript:
  + if use_initramfs_dev="1" is set, convert udev database created in initramfs
    to the current format
- udevconvertdb: Add support for 111 -> 112 conversion (udev database format
  has changed again in release 112).
- Updated udev rules:
  + major resync with upstream
  + add usbfs rule for kernels >= 2.6.22
  + disable device file removal for /dev/ppp and /dev/net/tun
  + remove obsolete devfs-style /dev/misc/rtc symlink to /dev/rtc
  + if new-style /dev/rtc0 is present, symlink it to /dev/rtc
  + use ata_id to create persistent links for libata devices (fixes possible
    truncation, but only with kernels >= 2.6.21); old links from SCSI emulation
    info still kept for compatibility
  + do not create by-uuid/by-label links for whole disk devices (such links
    would not be updated properly after media change)
  + use encoded label in persistent links instead of dropping unsafe characters
  + add ENV{REMOVE_CMD} invocation on remove events
  + fix names for bsg and aoe devices
  + ignore modprobe errors when using modalias
  + add rules to autoload tifm_sd, tifm_ms, memstick modules
  + remove broken rules for Tascam USB soundcards (should be moved to
    alsa-firmware after fixing)
  + remove call to nonexistent /etc/alsa.d/udev-soundfont for emu10k1
  + remove broken "/usr/sbin/alsactl -F restore %%n" invocation (#13592)
  + update persistent link creation for device mapper devices:
     + fix symlink priorities for snapshots (previously the symlink would point
       at the original device directly, which would cause snapshot corruption
       if used for writing)
     + add /dev/disk/by-id/dm-name-*, /dev/disk/by-id/dm-uuid-* symlinks

* Wed Nov 28 2007 Sergey Vlasov <vsu@altlinux.ru> 108-alt2
- Applied post-108 upstream changes (0809c264e9878cdd1c61d9fb0e077972bc596ef8):
  + make ACTION!="add|change" working (now "!=" is really the inverse of "==")
  + udevinfo: export all information stored in database
  + udevtest: export ACTION string if given as option
  + udevtest: import uevent variables if possible
- Updated udevd initscript:
  + fixed check for /dev/shm entry in fstab
- Updated udev rules:
  + added /dev/js* compat symlinks for /dev/input/js* (#7669)

* Thu Mar 29 2007 Sergey Vlasov <vsu@altlinux.ru> 108-alt1
- New upstream release (108).
- Note: udev_run_devd and udev_run_hotplugd utilities were removed from udev
  by upstream developers (their usage in rules was removed in 105-alt1).
- Reverted create_floppy_devices change from 0.77-alt3 which was adding the
  "-g <group>" option (in udev-106 the "-G <group>" option was added).
- Updated udevd initscript:
  + added "start_udev_only" action for use during package upgrade;
  + removed setting kernel.hotplug to /sbin/hotplug on stop.
- Updated udev rules:
  + updated create_floppy_devices options for new implementation in udev-106;
  + removed useless dasd support (s390 only);
  + added persistent symlinks for SCSI tapes and medium changer devices;
  + fixed WAIT_FOR_SYSFS for SCSI devices;
  + fixed wrong rule for raw devices (/dev/raw/raw[0-9]*);
  + added -b option to all modprobe invocations;
  + disabled MODALIAS autoload for the i82365 module (Debian bug #398962);
  + added SUBSYSTEM and ACTION checks to rules for ALSA devices;
  + added checks to avoid normal rules for net devices (Gentoo bug #166652);
  + added rules to create /dev/disk/{by-uuid,by-label}/* links for md devices
    (63-md.rules); these rules are also copied to initramfs (#11190).
- Added /usr/sbin/udevconvertdb utility to convert udev database to the new
  format used since udev-107; updated %%pre and %%post scripts to convert the
  database during upgrade.

* Mon Feb 19 2007 Sergey Vlasov <vsu@altlinux.ru> 105-alt3
- Added conflicts with old udev packages to the udev-rules subpackage
  (prevents attempts to install udev-rules together with old releases of
  udev which had rule files in the main package).
- Updated udevd initscript:
  + removed broken code which tried to remove old udev database on start;
  + fixed compatibility with startup-0.9.8.9-alt1:
     + pass -n option to mount when running from rc.sysinit;
     + do not try to start another copy of udevd if already running;
     + use $tmpfs_options when mounting /dev initially;
     + do not try to remount /dev when running from rc.sysinit;
     + do not unmount /dev on stop (this time "service udevd umount" added
       for use during dev package upgrade).
     + fix double /dev/shm mounting if it is listed in fstab
- Updated net.agent:
  + check for ignored interface name first (fixes useless failure during
    early startup of interfaces like "lo").

* Sun Feb 11 2007 Sergey Vlasov <vsu@altlinux.ru> 105-alt2
- Fixed net.agent to avoid unwanted dependency on etcnet; now net-scripts
  should be usable again.
- Moved module-init-tools, dmsetup, libvolume_id from Requires to PreReq
  (these packages should be installed before udev to keep rules working).
- Moved rule files to a separate udev-rules package; replaced dependency of
  udev-initramfs on udev with udev-rules (now installing new mkinitrd with
  initramfs support does not require the main udev package).
- Added Provides: /etc/udev/rules.d, /etc/udev/initramfs-rules.d to the
  udev-rules subpackage to be used by other packages with udev rules.
- Updated udevd initscript:
  + do not invoke udevtrigger during restart (avoids bad side effects with
    some devices, but events which happen during restart will be lost)
  + unmount /dev on stop again (reverts the change made in 105-alt1;
    workaround for upgrading the dev package); unmount is not performed on
    restart and condrestart
- Updated udev rules:
  + removed rule for loading the pcmcia module (already in pcmciautils)

* Thu Feb 08 2007 Sergey Vlasov <vsu@altlinux.ru> 105-alt1
- New upstream release (105).
- Dropped git-scsi_id-garbage patch (fixed upstream).
- Replaced old package build system with a new one based on the upstream git
  repository, rewritten spec file for the new layout:
    + applied all old patches as commits in the package git repository
    + placed udev rules in etc/udev/altlinux/
    + placed udevd initscript in etc/init.d/
    + placed dm_helper in extras/dm_helper/
- Added udev-initramfs subpackage which contains udev built with klibc for
  use in initramfs images created by mkinitrd.
- Added /etc/udev/initramfs-rules.d directory containing symlinks to rule
  files which need to be copied to initramfs.
- Disabled recursive substititions in udev_rules_apply_format() (this feature
  is dubious, dangerous if used improperly (e.g., there is no protection from
  infinite loops) and does not seem to be documented properly).
- libvolume_id: Fixed possible buffer overruns when handling romfs and
  ntfs filesystems, and other filesystems with too long labels.
- Updated udev rules:
  + moved rules for ignoring of "drivers" and "module" events from
    20-hotplugd.rules to 05-udev-early.rules
  + fixed rule for removable IDE avoidance to use ATTR{removable} instead of
    ATTRS{removable}
  + added rules to create /dev/disk/{by-uuid,by-label}/* links for devices
    managed by the device mapper driver (64-device-mapper.rules)
  + added rule to invoke /sbin/pam_console_apply in 94-pam-console.rules
    (fixes wrong permissions for devices managed by pam_console if these
    devices appeared after login, or if udevtrigger was rerun)
  + removed callouts to the hotplug package - now modprobe by modalias is
    used to load kernel modules, and other actions are handled by scripts
    included in the udev package (currently net.agent and sound.agent).
- Updated udevd initscript:
  + do not unmount /dev on stop (breaks too much to be useful)
  + implement condrestart instead of ignoring it (now udevd will be
    restarted during package upgrade, like all other daemons)
- Added udevd-final service to perform final steps of udev initialization
  when other parts of the system have been initialized.

* Sun Dec 17 2006 Sergey Vlasov <vsu@altlinux.ru> 103-alt1
- Added patches:
  + git-scsi_id-garbage: scsi_id: remove trailing garbage from ID_SERIAL_SHORT
- Updated udev rules:
  + restore lost rules for firmware loading
  + kill useless NAME="%%k" assignments
  + resync 50-udev-default.rules with SUSE:
     + create /dev/pilot symlink also for Handspring Treo devices
     + create all possible partitions for ide-floppy devices
     + load mmc_block module for MMC devices
     + fix device names for (obsolete) raw devices (/dev/raw/rawN)
     + check for ACTION=="add" when creating /dev/bus/usb/** devices
  + fix permissions for floppy devices (GROUP="floppy", MODE="0660")
  + resync 60-persistent-storage.rules with SUSE:
     + add /dev/disk/by-id/ata-* symlinks for libata and other SAT devices
     + add /dev/disk/by-id/mmc-* symlinks for MMC block devices
  + replace DRIVER key with DRIVERS

* Thu Oct 26 2006 Anton Farygin <rider@altlinux.ru> 103-alt0.1
- Updated patches to new version
- removed patches:
    udev-097-alt-nogroup.patch (included to mainstream)

* Fri Sep 01 2006 Sergey Vlasov <vsu@altlinux.ru> 097-alt2
- Added patches:
  + alt-init-pipe-before-fork: udevd: init signal pipe before forking to
    background
  + alt-udevd-pidfile: udevd: add pid file support (/dev/.udev/udevd.pid)
- Updated udevd initscript:
  + use pid file in /dev/.udev/udevd.pid
  + daemonize with "udevd --daemon" instead of "start_daemon --make-pidfile"
    (should really fix startup race with udevsettle - #9881)
  + revert broken fix for #9881 added in 097-alt1

* Mon Aug 28 2006 Sergey Vlasov <vsu@altlinux.ru> 097-alt1
- New version (097).
- Dropped alt-compile-warnings patch (obsolete).
- Removed obsolete "--with klibc" build support from spec (upstream developers
  removed klibc support from udev 097).
- Removed obsolete "--with system_sysfs" build support from spec (udev does not
  use libsysfs for a long time).
- Tightened udev package dependency on libvolume_id due to unstable ABI.
- Removed tmpfs_options example with "helper" from udev.conf (the corresponding
  kernel patch was dropped long ago).
- Added alt-nogroup patch: vol_id: replace "nogroup" group name with "nobody"
  (partially fixes #9871).
- Replaced logger-path patch with alt-firmware-initlog patch: use /sbin/initlog
  instead of logger (which is in /usr/bin).
- Added alt-firmware-dirs patch: add /usr/lib/hotplug/firmware to firmware
  search path (to avoid regressions when firmware loading is switched from
  hotplug to udev).
- Updated udevd initscript:
  + fixed udevsettle race (#9881); removed broken workaround added in 091-alt3
  + add "-n" option to "mount --move" to fix duplication of /etc/mtab entries
    (#7758)
  + check that all required kernel features (/sys/class/mem/null/uevent,
    /sys/kernel/uevent_seqnum) are present before trying to start udevd
  + removed code for handling udevd started from hotplug (udev does not support
    this for a long time)
  + removed useless $mountcmd indirection from attach_pts_filesystem and
    attach_shm_filesystem
  + fixed /dev/null redirections in make_extra_nodes, removed /dev/null usage
    from places where /dev/null is not yet available
- Updated udev rules:
  + moved all WAIT_FOR_SYSFS rules to 05-udev-early.rules
  + moved firmware loading rules to 05-udev-early.rules, so that they are used
    before hotplug (previously both hotplug and udev were trying to load
    firmware; now all firmware loading is handled through udev)
  + removed useless rule which "renamed" eth* network interfaces to the same
    name
  + added joystick support to 60-persistent-input.rules
  + added crypto container support to 60-persistent-storage.rules
  + removed fuse rule (#9871)
  + removed /dev/tpm* rule with "tss" user/group (#9871)
  + removed /dev/ucm*, /dev/uverbs* rules with "rdma" group (#9871)
  + removed rules for SCSI scanners with "scanner" group (#9871)
  + removed /dev/nvram rule with "nvram" group (#9871)
  + replaced "tape" group with "disk", removed some rules which were setting
    the "tape" group for devices which already had the "disk" group from other
    rules (#9871)
  + removed "video" group from agpgart, DRI and framebuffer devices (now this
    group is used only for video capture devices)
- Create "video" group in %%pre (#9871).

* Mon Jul 10 2006 Anton Farygin <rider@altlinux.ru> 096-alt1
- new version

* Tue Jun 20 2006 Anton Farygin <rider@altlinux.ru> 094-alt1
- new version

* Thu Jun 01 2006 Anton Farygin <rider@altlinux.ru> 093-alt3
- fixed SUBSYSTEM and SYSFS errors in rules

* Tue May 30 2006 Anton Farygin <rider@altlinux.ru> 093-alt2
- fixed logger unmet

* Mon May 29 2006 Anton Farygin <rider@altlinux.ru> 093-alt1
- new version
- updated rules for new firmware loader

* Thu May 18 2006 Anton Farygin <rider@altlinux.ru> 092-alt1
- new version
- added lvm support (#7369, Nick S. Grechukh)

* Tue May 16 2006 Anton Farygin <rider@altlinux.ru> 091-alt3
- added workaround (sync) for tmpfs files creation race in initscript

* Sat May 06 2006 Anton Farygin <rider@altlinux.ru> 091-alt2
- package adopted to gear
- added patch from mainstream for creating parent directories for seqnum

* Fri Apr 28 2006 Anton Farygin <rider@altlinux.ru> 091-alt1
- new version

* Fri Apr 21 2006 Anton Farygin <rider@altlinux.ru> 090-alt2
- added sleep after udevtrigger

* Sun Apr 16 2006 Anton Farygin <rider@altlinux.ru> 090-alt1
- new version

* Fri Apr 14 2006 Anton Farygin <rider@altlinux.ru> 089.git20060414-alt0.3
- updated from git
- added udevsettle to initscript

* Wed Apr 12 2006 Anton Farygin <rider@altlinux.ru> 089-alt0.2
- path_id added

* Tue Apr 11 2006 Anton Farygin <rider@altlinux.ru> 089-alt0.1
- new version
- all rules changed for new udev policy

* Mon Mar 13 2006 Anton Farygin <rider@altlinux.ru> 0.77-alt3
- added rule for floppy devices creation (#9129)
- Zaptel devices removed from rules (#8753)
- Firmware loading fixed (thnx , lioka)
- fixed typo in initscript

* Tue Feb 21 2006 Anton Farygin <rider@altlinux.ru> 0.77-alt2
- fixed /dev/pts start and restart

* Wed Dec 14 2005 Anton Farygin <rider@altlinux.ru> 0.77-alt1
- new version
- use new regexp for initscript (#8061)
- fixed /dev premissions

* Tue Nov 15 2005 Anton Farygin <rider@altlinux.ru> 0.75-alt1
- next version

* Mon Sep 19 2005 Anton Farygin <rider@altlinux.ru> 0.70-alt1
- new version
- added rule for ttyACM
- fixed rule for /dev/tty (#8026)

* Wed Aug 31 2005 Anton Farygin <rider@altlinux.ru> 0.68-alt2
- fixed double /dev/pts mounting (#6974)

* Fri Aug 19 2005 Anton Farygin <rider@altlinux.ru> 0.68-alt1
- new version

* Mon Aug 08 2005 Anton Farygin <rider@altlinux.ru> 0.65-alt1
- updated to new version
- fixed typo in rules (#7394)

* Sun Jul 17 2005 Anton Farygin <rider@altlinux.ru> 0.63-alt2
- removed patch1 (included to mainstream)
- removed patch0 (use OPTIONS="ignore_device" for ACTION=="remove")
- requries to udev_static_addon added
- fixed rules for vizor (#7394)

* Wed Jul 13 2005 Anton Farygin <rider@altlinux.ru> 0.62-alt5
- fixed some bugs in rules

* Wed Jul 13 2005 Anton Farygin <rider@altlinux.ru> 0.62-alt4
- rules format updated

* Wed Jul 13 2005 Anton Farygin <rider@altlinux.ru> 0.62-alt3
- added rule for running scripts from hotplug.d and dev.d
- udev initscript remove hotplug execution from /proc/sys/kernel/hotplug

* Tue Jul 12 2005 Anton Farygin <rider@altlinux.ru> 0.62-alt2
- updated to 062

* Wed Mar 30 2005 Alexey Morozov <morozov@altlinux.org> 0.50-alt5
- Fixes for init script for empty and r/o /dev

* Tue Mar 29 2005 Alexey Morozov <morozov@altlinux.org> 0.50-alt4
- init script fixes
- udev lsb rules fixes (#6232, #6297, #6338, and probably #6337)
- built w/ syslog (#5850)
- possible integration w/ udev_static-*

* Sat Jan 22 2005 Alexey Morozov <morozov@altlinux.org> 0.50-alt3
- fixed typo in udevd.init (now service should start w/o complaining
  even if no devices in /etc/udev/devices can be found)
- udevd is forced to stop, even if it was launched not by init startup
  script
- added patch to skip unknown (new) options from udev.conf throughout
  C code (udevinfo, udev etc). Bug was reported by vk@.

* Fri Jan 14 2005 Alexey Morozov <morozov@altlinux.org> 0.50-alt2
- Use syslog by default (#5850)
- Added udevinfo prints patch from ML
- Preliminary support of modules_lookup
- Actual use of tmpfs_options
- Added directory %_sysconfdir/udev/devices as a workaround for
  "missing devices" problem. One can create required device inodes
  with /sbin/MAKEDEV -d /etc/udev/devices <devname>, and all these
  inodes will be copied as is to /dev upon udev startup.
- DO_TRADITIONAL and PREFER_TRADITIONAL removed from cd-names.sh
  Traditional names if needed now should be specified right in udev rules

* Tue Jan  4 2005 Alexey Morozov <morozov@altlinux.org> 0.50-alt1
- New version (0.50)

* Tue Dec 28 2004 Alexey Morozov <morozov@altlinux.org> 0.46-alt3
- extended modifiers are fixed [hopefully]
- ide-names.sh replaced by drive-names.sh which can be used for SCSI disks (only sd*)
  as well as as for IDE drives (either IDE hard disks, CD-ROMs, or IDE floppies)

* Tue Dec 14 2004 Alexey Morozov <morozov@altlinux.org> 0.46-alt2
- Fixed CD-ROMs / CD-RWs etc permissions

* Tue Dec 14 2004 Alexey Morozov <morozov@altlinux.org> 0.46-alt1
- version 0.46 (046)
- service init script greatly improved. Now it passes multiple start/stop etc cycles almost seamlessly
- permissions and device naming rules also improved (mostly taked from Mdk w/ certain Debian stuff
  and home-made ide-names.sh and cd-names.sh). Device naming rules are still subject for improvement and
  bugfixing though...
- Added patches for %%N and %%U rules keys (see 'man 8 udev' for description)
- Fixes for %%e
- TODO: write a SCSI-oriented companion for ide-names.sh. Contrubutors are welcome ;-)

* Thu Nov 11 2004 Alexey Morozov <morozov@altlinux.org> 0.43-alt1
- New version (0.43)
- Spec and patches are re-worked a bit (now it can be correctly build w/ and w/o
  system sysfs)

* Thu Sep 16 2004 Alexey Morozov <morozov@altlinux.org> 0.32-alt1
- Initial build for ALT Linux

